public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/jbuilder/
Date: Sat, 23 Jan 2021 08:18:31 +0000 (UTC)	[thread overview]
Message-ID: <1611389786.671d8e6aa90133253815cd9f4c5c47cfb412b6d6.graaff@gentoo> (raw)

commit:     671d8e6aa90133253815cd9f4c5c47cfb412b6d6
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 23 08:16:26 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Jan 23 08:16:26 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=671d8e6a

dev-ruby/jbuilder: add 2.11.0

Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/jbuilder/Manifest               |  1 +
 dev-ruby/jbuilder/jbuilder-2.11.0.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/dev-ruby/jbuilder/Manifest b/dev-ruby/jbuilder/Manifest
index a13e3009ad6..17054c761d1 100644
--- a/dev-ruby/jbuilder/Manifest
+++ b/dev-ruby/jbuilder/Manifest
@@ -1,2 +1,3 @@
 DIST jbuilder-2.10.0.gem 28160 BLAKE2B c277a59d53f30132ebe88d6afda5c221d74a399b01cedf6a4863f29e94d329137669942957a21ae9c5c192177dc9e78b6d66d9b5a29c7d4667a0432556c6b28c SHA512 a429422d65ed3eec55f46597f73a97b267fe7d6c7554ec6a6d60e1e1c0a9306b81f7283524602a30af11a141f7cd466a0f7b0a804172bd4008787462f0fa4ffc
 DIST jbuilder-2.10.1.gem 28160 BLAKE2B 07bde14ee6a75b5e1cec8ee1fead688c613e76713d32d419433b0f7163a9622bcc48e4b36333eb06960a9a566784d7f31843d71259226539fe569cd178315d55 SHA512 340e9d9cff969294e22a3eea57001e69402cd47b791660a1468702e046edfe4a3cc4f8fe18b87ba63e13352d020cd8fd78fcc070a287bb8da108c531f4dc22a5
+DIST jbuilder-2.11.0.gem 29184 BLAKE2B a1a98df2d81e3d894f82a9862229b0c1f2885f3874084a9a7b1b2d8aecaf48db6777051789d3006448a22d7bbf9e7cd51b8fdf32f8f582551b4fd861d92acf32 SHA512 e76d83a39ae11f4aab5863f87630ff36fff8ef7dc0231da058b0033e80088816b33f0d061859f516ffbb1d965b26e384b233f2c0ebc6d75aa96acb411826c16c

diff --git a/dev-ruby/jbuilder/jbuilder-2.11.0.ebuild b/dev-ruby/jbuilder/jbuilder-2.11.0.ebuild
new file mode 100644
index 00000000000..8010602aa4a
--- /dev/null
+++ b/dev-ruby/jbuilder/jbuilder-2.11.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_TEST="TRAVIS=true test"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Create JSON structures via a Builder-style DSL"
+HOMEPAGE="https://github.com/rails/jbuilder"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/activesupport-5.0.0:*"
+
+ruby_add_bdepend "test? (
+	>=dev-ruby/activemodel-5.0.0
+	>=dev-ruby/railties-5.0.0
+)"
+
+all_ruby_prepare() {
+	sed -i -e '/bundler/ s:^:#:' Rakefile test/test_helper.rb || die
+}


             reply	other threads:[~2021-01-23  8:18 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-01-23  8:18 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-18  9:26 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/jbuilder/ Hans de Graaff
2024-09-18  8:56 Hans de Graaff
2024-06-02  6:41 Hans de Graaff
2024-06-02  6:41 Hans de Graaff
2024-04-29  9:43 Hans de Graaff
2024-03-18  6:41 Hans de Graaff
2023-07-12  4:59 Hans de Graaff
2023-07-12  4:59 Hans de Graaff
2022-10-02 17:03 Hans de Graaff
2022-09-04 10:54 Hans de Graaff
2022-03-26  7:48 Hans de Graaff
2021-11-15  5:48 Hans de Graaff
2021-02-02  5:56 Hans de Graaff
2020-09-19  5:46 Hans de Graaff
2020-09-14  6:09 Hans de Graaff
2020-09-13  4:55 Hans de Graaff
2020-05-23  9:27 Hans de Graaff
2020-05-23  9:27 Hans de Graaff
2020-02-10  6:18 Hans de Graaff
2019-07-20  5:05 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1611389786.671d8e6aa90133253815cd9f4c5c47cfb412b6d6.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox